Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::TYPE Namespace Reference

## Enumerations

enum | Type { Unknown, String, Char, Price, Int, Amt, Qty, Currency, MultipleValueString, MultipleStringValue, MultipleCharValue, Exchange, UtcTimeStamp, Boolean, LocalMktDate, Data, Float, PriceOffset, MonthYear, DayOfMonth, UtcDate, UtcDateOnly = UtcDate, UtcTimeOnly, NumInGroup, Percentage, SeqNum, Length, Country, TzTimeOnly, TzTimeStamp, XmlData, Language }

## Enumeration Type Documentation

enum FIX::TYPE::Type

Enumerator:

  Unknown |
  String |
  Char |
  Price |
  Int |
  Amt |
  Qty |
  Currency |
  MultipleValueString |
  MultipleStringValue |
  MultipleCharValue |
  Exchange |
  UtcTimeStamp |
  Boolean |
  LocalMktDate |
  Data |
  Float |
  PriceOffset |
  MonthYear |
  DayOfMonth |
  UtcDate |
  UtcDateOnly |
  UtcTimeOnly |
  NumInGroup |
  Percentage |
  SeqNum |
  Length |
  Country |
  TzTimeOnly |
  TzTimeStamp |
  XmlData |
  Language |

Definition at line 660 of file FieldTypes.h.

    00661 {
    00662   Unknown,
    00663   String,
    00664   Char,
    00665   Price,
    00666   Int,
    00667   Amt,
    00668   Qty,
    00669   Currency,
    00670   MultipleValueString,
    00671   MultipleStringValue,
    00672   MultipleCharValue,
    00673   Exchange,
    00674   UtcTimeStamp,
    00675   Boolean,
    00676   LocalMktDate,
    00677   Data,
    00678   Float,
    00679   PriceOffset,
    00680   MonthYear,
    00681   DayOfMonth,
    00682   UtcDate,
    00683   UtcDateOnly = UtcDate,
    00684   UtcTimeOnly,
    00685   NumInGroup,
    00686   Percentage,
    00687   SeqNum,
    00688   Length,
    00689   Country,
    00690   TzTimeOnly,
    00691   TzTimeStamp,
    00692   XmlData,
    00693   Language
    00694 };